//******************************
//*      LED RGB SERIE         *
//******************************
//*     2009  www.xbot.es      *
//******************************
//* Francisco Reinoso  "furri" *
//*    furrichip@gmail.com     *
//******************************

//*** Protocolo *******************
//*** recepcin de 4 bytes     ****
//*** 253 + colores R,G y B    ****
//*** cada color va de 0 a 250 ****
//*********************************

int val;

int vR = 0;
int vG = 0;
int vB = 0;

int pR =  9;
int pG = 10;
int pB = 11;

void setup ()
{
    analogWrite(pR, 0);
    analogWrite(pG, 0);
    analogWrite(pB, 0);
    Serial.begin(9600);
}

void loop ()
{
  // chequear si hay datos
  if (Serial.available()) 
  {
    // leer primer caracter debe ser 253
    val = Serial.read(); 
    if (val == 253) // ok hemos recibido el 253
    {
      delay(10);
      vR = Serial.read(); // leemos Rojo  R
      delay(10);
      vG = Serial.read(); // leemos Verde G
      delay(10);
      vB = Serial.read(); // leemos Azul  B
      
      // volcamos los valores a los pines
      analogWrite(pR, vR); 
      analogWrite(pG, vG);
      analogWrite(pB, vB);

    }
  }

  
}
